﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace SaxonSample
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                var transformer = new SaxonXslTransformer();

                var xmlDocument = new XmlDocument();
                xmlDocument.LoadXml(Properties.Resources.Xml);

                var xsltDocument = new XmlDocument();
                xsltDocument.LoadXml(Properties.Resources.Xslt);

                var output = transformer.Transform(xmlDocument, xsltDocument);
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            finally
            {
                Console.ReadLine();
            }
        }
    }
}
